=== debian/changelog ===
mp3roaster (0.3.0-8) unstable; urgency=medium

  [ Andreas Metzler ]
  * QA upload.
  * Cherry-pick unpublished changes from GIT head on top of previous QA
    upload.
  * [lintian] Set Rules-Requires-Root: no.
  * Depend on mpg123 instead of mpg321 | mpg123 and patch mp3roasterrc to use
    it.
  * Bump watchfile standard version number to 4.
  * Run wrap-and-sort -ast.
  * Invoke gzip with -n option to avoid unreproducibility.
  * Use debhelper v13 mode.

  [ Ondřej Nový ]
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol

 -- Andreas Metzler <ametzler@debian.org>  Thu, 28 Mar 2024 06:21:49 +0100

mp3roaster (0.3.0-7) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #966380)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 08:24:59 -0300

mp3roaster (0.3.0-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 12:36:57 +0100

mp3roaster (0.3.0-6) unstable; urgency=low

  * Switched from depending on libogg-vorbis-header-perl to libogg-
    vorbis-header-pureperl-perl, as per the pkg-perl team request
    (Closes: #655409)

 -- Gunnar Wolf <gwolf@debian.org>  Tue, 10 Jan 2012 16:24:16 -0600

mp3roaster (0.3.0-5) unstable; urgency=low

  * Standards-version 3.8.4 → 3.9.2 (no changes needed)
  * Reworded the description to keep Lintian happy
  * Added patches by Sébastien NOBILI for running noninteractively and
    for passing options to Wodim
  * Auto-generate manpage from Perl, ignoring the provided copy

 -- Gunnar Wolf <gwolf@debian.org>  Wed, 19 Oct 2011 12:42:19 -0500

mp3roaster (0.3.0-4) unstable; urgency=low

  * Added --no-normalize option (Closes: #397071)
  * Standards-version 3.8.3→3.8.4 (no changes needed)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 19 Feb 2010 11:06:44 -0600

mp3roaster (0.3.0-3) unstable; urgency=low

  * Standards-version → 3.8.3
  * Setting source format to 3.0 (quilt)
  * Dropped dependency in nonexisting package ogg123 (was specified as
    an alternative for vorbis-tools, which does exist)
  * Reduced debian/rules to the three-line DH7 form
  * Use wodim instead of cdrecord

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 27 Dec 2009 22:46:56 -0600

mp3roaster (0.3.0-2) unstable; urgency=low

  * Adopting package as agreed (long time ago) via mail with upstream
    developer and previous maintainer (Closes: #455918)
  * Updating Standards-version to 3.8.1.0
  * Updated DH compat level to 7
  * Simplified debian/rules
  * Several minor changes to keep lintian quiet
  * Added Vcs-Git, Vcs-Browser, Homepage fields to debian/contorl
  * Updated debian/watch, now correctly works (Closes: #449974)

 -- Gunnar Wolf <gwolf@debian.org>  Sun, 12 Apr 2009 16:42:22 -0500

mp3roaster (0.3.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Updated the module name from MPEG::MP3Info to MP3::Info, as the
    upstream author for this package mp3roaster depends on changed it,
    resulting in mp3roaster dying at startup. (Closes: #397069)

 -- Gunnar Wolf <gwolf@gwolf.org>  Mon, 19 Mar 2007 13:06:15 -0600

mp3roaster (0.3.0-1) unstable; urgency=low

  * New upstream release (0.3.0).
  * [debian/control] Removed obsolete normalize dependency (Closes: #294527).
  * Fixed bug #258276 with new upstream release (Closes: #258276).
  * [debian/watch] Updated in order to respect new syntax.
  * Removed old debian/[dh_install*] related files, the options have been
    migrated into debian/rules.
  * [debian/compat] Introduced new compatibility file.
  * [debian/rules] Added commands to best-recompresse the upstream man page.
  * [debian/README.debian] Updated informations for version 0.3.0.

 -- Ivo Marino <eim@mentors.debian.net>  Fri, 24 Feb 2006 00:04:56 +0100

mp3roaster (0.2.0-5) unstable; urgency=low

  * [debian/control] Depend on normalize (Closes: #258675).
  * [debian/control] Added normalize-audio as dependency (Closes: #287671).

 -- Ivo Marino <eim@mentors.debian.net>  Tue,  4 Jan 2005 12:44:05 +0100

mp3roaster (0.2.0-4) unstable; urgency=low

  * [debian/control] Added new dependency: libaudio-flac-perl, this pacakge
    has finally just been accepted into Debian so now we can depend on it.
  * [debian/copyright] Added specific license informations (GPL) in order
    to be Debian policy compatible.
  * [debian/conffiles] Added /etc/mp3roaster/mp3roasterrc to be lintian
    compatible.

 -- Ivo Marino <eim@mentors.debian.net>  Tue,  8 Jun 2004 10:46:37 +0200

mp3roaster (0.2.0-3) unstable; urgency=low

  * [debian/control] Added more dependencies: flac, libogg-vorbis-header-perl
    and libterm-readkey-perl. The dependency libaudio-flac-perl will be added
    later once the package is available on Debian.
  * [debian/control] Updated package description.

 -- Ivo Marino <eim@mentors.debian.net>  Fri, 28 May 2004 10:20:44 +0200

mp3roaster (0.2.0-2) unstable; urgency=low

  * Fixed serious bug which did not install the mp3roaster.pl script.
  * [debian/rules] Introduced dh_install and dh_installdirs.
  * Removed the debian/patches directory, we now use 100% debhelper.

 -- Ivo Marino <eim@mentors.debian.net>  Thu, 27 May 2004 23:39:10 +0200

mp3roaster (0.2.0-1) unstable; urgency=low

  * New upstream release.
  * [debian/control] New standards version.
  * [debian/rules] Removed debhelpet.
  * The upstream man page has been recompressed with gzip -9.

 -- Ivo Marino <eim@mentors.debian.net>  Wed, 19 May 2004 16:58:13 +0200

mp3roaster (0.1.0-1) unstable; urgency=low

  * Initial release as Debian GNU/Linux package.

 -- Ivo Marino <eim@users.sourceforge.net>  Wed, 17 Sep 2003 00:46:05 +0200
