=== debian/control ===
Source: mp3roaster
Section: sound
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/mp3roaster.git
Vcs-Browser: https://salsa.debian.org/debian/mp3roaster
Rules-Requires-Root: no
Homepage: http://mp3roaster.sourceforge.net/

Package: mp3roaster
Architecture: all
Depends:
 flac,
 libaudio-flac-header-perl,
 libaudio-wav-perl,
 libfile-mmagic-perl,
 libmp3-info-perl,
 libogg-vorbis-header-pureperl-perl,
 libterm-readkey-perl,
 mpg123,
 normalize-audio,
 perl (>= 5.8.4),
 vorbis-tools,
 wodim,
 ${misc:Depends},
Description: Perl hack for burning audio CDs out of MP3/OGG/FLAC/WAV files
 Allows burning audio CDs out of MP3, Ogg Vorbis, FLAC and WAV files. The main
 highlights of this application are an easy to use command line syntax and
 automatic volume leveling support for best audio CD quality.
 .
 In order to normalize the audio level of all files which will be burned on CDs
 MP3roaster requires some free hard disk space.
