=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
override_dh_auto_install:

override_dh_installman:
	pod2man mp3roaster | gzip -9n > debian/mp3roaster/usr/share/man/man1/mp3roaster.1.gz
