=== debian/watch ===
version=4

https://sf.net/mp3roaster/mp3roaster-(.+)\.tar\.gz
